import { createRouter, createWebHashHistory } from 'vue-router'
import HomeView from '../views/login/index.vue'

const routes = [

  // {
  //   path: '/home',
  //   name: '首页',
  //   // route level code-splitting
  //   // this generates a separate chunk (about.[hash].js) for this route
  //   // which is lazy-loaded when the route is visited.
  //   component: () => import('../views/home/index')
  // },
  {
    path: '/',
    name: '首页',
    component: () => import('../views/layout/index'),
    redirect: '/home',
    children:[
      {
        path: '/home',
        name: '首页',
        component: () => import('../views/home/index')
      },
      {
        path: '/welcome',
        name: 'welcome',
        component: () => import('../views/welcome/index')
      },
      {
        path: '/busines',
        name: '商家',
        component: () => import('../views/bigType/index'),

      },
      {
        path: '/product',
        name: '商品管理',
        component: () => import('../views/product/index')
      },
      {
        path: '/user',
        name: '用户',
        component: () => import('../views/user/index')
      },
      {
        path: '/employee',
        name: '美甲师',
        component: () => import('../views/employee/index')
      },
      {
        path: '/modifyPassword',
        name: '修改密码',
        component: () => import('../views/modifyPassword/index')
      },
      {
        path: '/order',
        name: '订单',
        component: () => import('../views/order/index')
      },
      {
        path: '/personal',
        name: '个人中心',
        component: () => import('../views/personalCenter/index')
      },
      {
        path: '/business',
        name: '商家',
        component: () => import('../views/business/index')
      },
      {
        path: '/profile',
        name: '详情',
        component: () => import('../views/profile/index')
      },

    ]
  },
  {
    path: '/login',
    name: 'login',
    // route level code-splitting
    // this generates a separate chunk (about.[hash].js) for this route
    // which is lazy-loaded when the route is visited.
    component: () => import( '../views/login/index.vue')
  },
  {
    path: '/test',
    name: 'test',
    // route level code-splitting
    // this generates a separate chunk (about.[hash].js) for this route
    // which is lazy-loaded when the route is visited.
    component: () => import( '../views/test/index.vue')
  }

]

const router = createRouter({
  history: createWebHashHistory(),
  routes
})

export default router
